Subject: bug#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Nov 2008 11:40:39 +0200

> From: "Themba Fletcher" <[email-masked]>
> Date: Fri, 14 Nov 2008 17:46:19 -0500
> Cc: 
> 
> When migrating to Emacs 22.3.1 on microsoft windows, the following
> lines in my .emacs file do not behave as expected:
> 
>   (set-frame-position (selected-frame) 0 0)
>   (sleep-for 2) ; not originally in my .emacs -- testing only
>   (set-frame-width (selected-frame) 150)
>   (sleep-for 2)
>   (set-frame-height (selected-frame) 55)
>   (sleep-for 2))
                 ^
(Extra paren here.)

> This used to leave me with a 150 X 55 frame located at 0,0 on my
> display but it instead now leaves me with a default size frame still
> located at 0,0 as expected.

This leaves me with a 80x55 frame located at (0,0), not a default size
frame.  I see this both in Emacs 22.3.1 and in the current CVS trunk.

So, while still not entirely correct, the behavior I see is different,
and I wonder why.  Is the above the _only_ contents of your .emacs?